<div class="row">

    <div class="col-lg-12">

        <!--begin::Portlet-->
        <div class="m-portlet m-portlet--tabs">
            <div class="m-portlet__head">
                <div class="m-portlet__head-tools">
                    <ul class="nav nav-tabs m-tabs-line m-tabs-line--primary m-tabs-line--2x" role="tablist">
                        <li class="nav-item m-tabs__item">
                            <router-link :to="{ name: 'index' }" class="btn btn-brand m-btn m-btn--icon m-btn--icon-only m-btn--custom m-btn--pill m-btn--air btn-sm" exact>
                                <i class="fa fa-step-backward"></i>
                            </router-link>
                        </li>
                        <li class="nav-item m-tabs__item">
                            <a class="nav-link m-tabs__link active" data-toggle="tab" href="#basic_info_tab" role="tab">
                                <i class="fa" :class="[ validationErrorsBySubstring('base_info') ? 'fa-edit' : 'fa-exclamation-circle' ]" :style="{ color: (validationErrorsBySubstring('base_info') ? '' : 'red') }"></i> Basic Information
                            </a>
                        </li>

                        <li class="nav-item m-tabs__item">
                            <a class="nav-link m-tabs__link" data-toggle="tab" href="#attributes_tab" role="tab">
                                <i class="fa" :class="[ validationErrorsBySubstring('variants') ? 'fa-font' : 'fa-exclamation-circle' ]" :style="{ color: (validationErrorsBySubstring('variants') ? '' : 'red') }"></i> Attributes
                            </a>
                        </li>

                        <li class="nav-item m-tabs__item">
                            <a class="nav-link m-tabs__link" data-toggle="tab" href="#images_tab" role="tab">
                                <i class="fa" :class="[ validationErrorsBySubstring('images') ? 'fa-images' : 'fa-exclamation-circle' ]" :style="{ color: (validationErrorsBySubstring('images') ? '' : 'red') }"></i> Images
                            </a>
                        </li>

                        <li class="nav-item m-tabs__item">
                            <a class="nav-link m-tabs__link" data-toggle="tab" href="#related_products_tab" role="tab">
                                <i class="fa" :class="[ validationErrorsBySubstring('related_products') ? 'fa-shopping-cart' : 'fa-exclamation-circle' ]" :style="{ color: (validationErrorsBySubstring('related_products') ? '' : 'red') }"></i> Related Products
                            </a>
                        </li>

                        <li class="nav-item m-tabs__item m-dropdown m-dropdown--inline m-dropdown--arrow m-dropdown--align-right m-dropdown--align-push" m-dropdown-toggle="hover">
                            <a href="#" class="nav-link m-tabs__link   m-dropdown__toggle dropdown-toggle">
                                <i class="fa fa-cogs"></i>
                                Save
                            </a>
                            <div class="m-dropdown__wrapper">
                                <span class="m-dropdown__arrow m-dropdown__arrow--right m-dropdown__arrow--adjust"></span>
                                <div class="m-dropdown__inner">
                                    <div class="m-dropdown__body">
                                        <div class="m-dropdown__content">
                                            <ul class="m-nav">
                                                <li class="m-nav__section m-nav__section--first">
                                                    <span class="m-nav__section-text">Save Actions</span>
                                                </li>
                                                <li class="m-nav__item">
                                                    <a @click="updateProduct('edit')" href="javascript:void(0)" class="m-nav__link">
                                                        <i class="m-nav__link-icon flaticon-refresh"></i>
                                                        <span class="m-nav__link-text">Save & Stay</span>
                                                    </a>
                                                </li>
                                                <li class="m-nav__item">
                                                    <a @click="updateProduct('index')" data-toggle="tab" href="javascript:void(0)" class="m-nav__link">
                                                        <i class="m-nav__link-icon flaticon-reply"></i>
                                                        <span class="m-nav__link-text">Save & Back</span>
                                                    </a>
                                                </li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </li>

                        <li v-if="loadingStatus" class="nav-item m-tabs__item">
                            <div class="m-loader m-loader--brand m-loader--lg" style="width: 30px; display: inline-block;"></div>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="m-portlet__body">

                <div class="tab-content">

                    <div class="tab-pane active" id="basic_info_tab" role="tabpanel">

                        <edit-info></edit-info>

                    </div>

                    <div class="tab-pane" id="attributes_tab" role="tabpanel">

                        <edit-attributes></edit-attributes>

                    </div>

                    <div class="tab-pane" id="images_tab" role="tabpanel">

                        <edit-images></edit-images>

                    </div>

                    <div class="tab-pane" id="related_products_tab" role="tabpanel">

                        <edit-related-products></edit-related-products>

                    </div>
                </div>
            </div>
        </div>

        <!--end::Portlet-->
    </div>
</div>